Subject: [AVT] I-D ACTION:draft-ietf-avt-rtp-ac3-05.txt

From: [email-masked]
Date: Fri, 03 Jun 2005 15:52:41 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Audio/Video Transport Working Group of the IETF.

	Title		: RTP Payload Format for AC-3 Audio
	Author(s)	: J. Flaks, et al.
	Filename	: draft-ietf-avt-rtp-ac3-05.txt
	Pages		: 11
	Date		: 2005-6-3
	
This document describes an RTP payload format for transporting AC-3 
encoded audio data.  AC-3 is a high quality, multichannel audio coding 
system used in US HDTV, DVD, cable and satellite television and other 
media.  The RTP payload format as presented in this document includes 
support for data fragmentation.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-ac3-05.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-avt-rtp-ac3-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-avt-rtp-ac3-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Link, Brian" <[email-masked]>
Date: Tue, 7 Jun 2005 10:30:37 -0700

Hi Magnus,

Thanks. I'll change the reference to informative.

On the channels parameter, it doesn't seem to me to be a good idea to
require it. Many senders will not be able to adapt the content in
response to a message from a receiver. I looked at the language in the
AMR-WB+ draft and that looks like a good solution to me: leave the
channel parameter optional; if the channel parameter is not present, the
content may have any number of channels up to 6 and the receiver can
play up to 6 (or doesn't care about the network bandwidth optimization.)

I would use text like this:
        channels: From a sender, the maximum number of channels present 
        in the AC3 stream.  From a receiver, the maximum number of
output
        channels the receiver will deliver.  This MUST be a number
between 
        1 and 6. The LFE (".1") channel MUST be counted as one channel.
Note 
        that the channel order used in AC-3 differs from the channel
order 
        scheme in [RFC3551].  The AC-3 channel order scheme can be found
in 
        Table 5.8 of [ATSC-A52A].

And:
The "channels" parameter is declarative and indicates, for reconly or 
sendrecv, the desired channel configuration to receive, and for 
sendonly, the intended channel configuration to transmit.  All 
receivers are capable of receiving any of the defined channel 
configurations and the parameter exchange might be used to help 
optimize the transmission to the number of channels the receiver 
requests.  If the "channels" parameter is omitted, a default maximum 
value of 6 is implied.

Please let me know what you think.

Best,
Brian

---
Brian Link
Dolby Laboratories, 100 Potrero Ave., San Francisco, CA 94103
phone: 415-558-0324  fax: 415-863-1373
email: [email-masked]   alt email: [email-masked]

> -----Original Message-----
> From: Magnus Westerlund [mailto:[email-masked]] 
> Sent: Tuesday, June 07, 2005 4:32 AM
> To: Link, Brian
> Cc: [email-masked]
> Subject: Re: [AVT] I-D ACTION:draft-ietf-avt-rtp-ac3-05.txt
> 
> Hi,
> 
> I have reviewed this version and have two comments:
> 
> 1. First is the reference to Freed's registration template. 
> It will block publishing if it is in the normative section. I 
> think it should be moved to the informative section. It is 
> borderline case, however I think it can be considered 
> informative reference to the procedure used. The really 
> important normative references are these referencing actual 
> technical solution.
> 
> 2. The optionality of the "channels" parameter. As all 
> decoder are required by the AC-3 standard to handle decoding 
> and down mixing of any number of channels that are supported. 
> This is similar to the usage of channels in the AMR-WB+ 
> payload format. Which allows a sender to reduce its number of 
> channels in cases when the receiver can't play them anyway by 
> using the receiver indication. It can also be used by a 
> sender in a declarative SDP usage (RTSP, SAP) to declare the 
> maximum number of channels that will be used.
> 
> To me there is two ways of accomplishing this in a useful manner.
> A. Make channels a mandatory parameter that is always included.
> B. Include it in all cases when the channels don't match 6, 
> i.e. when the number of channels actually are supported or 
> used are reduced to this provided lower number.
> 
> Comments? Please send them quickly for a fast turn around on this.
> 
> Cheers
> 
> Magnus Westerlund
> 
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> 

-----------------------------------------
This message (including any attachments) may contain confidential
information intended for a specific individual and purpose.  If you are
not the intended recipient, delete this message.  If you are not the
intended recipient, disclosing, copying, distributing, or taking any
action based on this message is strictly prohibited.